# v/0.0.3
Updated version to test changes with RubyGems as well as local development.

Added nonstandard license.

Added rack dependency version.

Enabled Application class under Rwby module.

# v/0.0.2
Updated the version number to reflect what's on the changelog. I probably won't do a "version bump" every commit, but for now, I want to keep a bit more detailed of a log, to get into the habit of recording and tracking the changes I've made. Hopefully I can build out a lot a data to mine, looking at things like how often do I make updates, what kinds of changes do I put in per commit or version bump, how that all evolves over time, if I end up being able to sustain a consistent level of effort into a pure training and skills enhancement project like this, etc.

Still not much of a shippable product. I want to think about this acutely per changelog entry. How many entries does it take me to get to something I would consider shippable? I want to be strict about it. If it does even one thing well, such as single sign on baked into every aspect of the framework, for API calls and for apps, with service principal accounts for machines (like roles in AWS IAM), as well as for users, then that's considered shippable. Even that is too huge of a feature to wait until completion. But let's make sure at least the basic functionality - whatever that single laser-sharp focused thing ends up being - let's make sure that key thing is foundational and opinionated and broadcast to the users of our framework: application developers. They need to be able to leverage the framework and build something on top of it that yields to them efficient business value.

Added runtime dependency of rack.

# v/0.0.1
Initial commit and changelog commit of RWBY inspired Rack-based web framework. 

Not much of a shippable product.

Mostly a deep dive exercise in building a modern web framework on sound design goals and principles. Heavily influenced by Rails exposure as well as some of the opinions and direction of thought leaders such as the Gang of Four (Helm, Johnson, Gamma, Booch), Martin Fowler, DHH, Udi Dahan, and Uncle Bob Martin, to name a few.

Guided by Noah Gibbs' excellent book, Rebuilding Rails.