require_relative 'lib/rwby/version'

Gem::Specification.new do |spec|
  spec.name          = "rwby"
  spec.version       = Rwby::VERSION
  spec.authors       = ["Ahad L. Amdani"]
  spec.email         = ["ahad@explainly.io"]
  spec.license       = "Nonstandard"

  spec.summary       = %q{A RWBY-inspired Rack-based Web Framework}
  spec.description   = %q{A Rack-based web framework heavily inspired by Rails and themed from Rooster Teeth's RWBY}
  spec.homepage      = "https://github.com/explainly/rwby"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = spec.homepage
  spec.metadata["changelog_uri"] = "https://github.com/explainly/rwby/blob/main/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "rack", '~> 2'
end
